
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta charset="utf-8" />
    <title>vendor.s3 module &#8212; DataMAx 0.1 documentation</title>
    <link rel="stylesheet" href="_static/nature.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-vendor.s3">
<span id="vendor-s3-module"></span><h1>vendor.s3 module<a class="headerlink" href="#module-vendor.s3" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="vendor.s3.S3">
<em class="property">class </em><code class="sig-prename descclassname">vendor.s3.</code><code class="sig-name descname">S3</code><span class="sig-paren">(</span><em class="sig-param">access_key: str</em>, <em class="sig-param">secret_key: str</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></p>
<dl class="method">
<dt id="vendor.s3.S3.initialize">
<em class="property">classmethod </em><code class="sig-name descname">initialize</code><span class="sig-paren">(</span><em class="sig-param">connector_id</em>, <em class="sig-param">session: sqlalchemy.orm.session.Session</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.initialize" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.initialize_with_access_key">
<em class="property">classmethod </em><code class="sig-name descname">initialize_with_access_key</code><span class="sig-paren">(</span><em class="sig-param">access_key</em>, <em class="sig-param">secret_key</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.initialize_with_access_key" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.copy">
<code class="sig-name descname">copy</code><span class="sig-paren">(</span><em class="sig-param">source</em>, <em class="sig-param">target</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.copy" title="Permalink to this definition">¶</a></dt>
<dd><p>Copy file from source bucket/key to the given destination. It is assumed that both the buckets are
accessible using the credentials mentioned in the INI file.</p>
</dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.obj_bucket">
<code class="sig-name descname">obj_bucket</code><span class="sig-paren">(</span><em class="sig-param">bucket_name</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.obj_bucket" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.analyse">
<code class="sig-name descname">analyse</code><span class="sig-paren">(</span><em class="sig-param">bucket: str</em>, <em class="sig-param">key: str</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.analyse" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.upload_file_to_s3">
<code class="sig-name descname">upload_file_to_s3</code><span class="sig-paren">(</span><em class="sig-param">file</em>, <em class="sig-param">bucket_name</em>, <em class="sig-param">location</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.upload_file_to_s3" title="Permalink to this definition">¶</a></dt>
<dd><p>Uploads the given file to specified destination(bucket and prefix is given). It is assumed that both the
buckets are accessible using the credentials mentioned in the INI file.
Args : file location</p>
<blockquote>
<div><p>bucket
prefix : inside the bucket path</p>
</div></blockquote>
</dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.download">
<code class="sig-name descname">download</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">folder</em>, <em class="sig-param">file</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.download" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.remove">
<code class="sig-name descname">remove</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">folder</em>, <em class="sig-param">file</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.remove" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.read">
<code class="sig-name descname">read</code><span class="sig-paren">(</span><em class="sig-param">filename</em>, <em class="sig-param">rows</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.read" title="Permalink to this definition">¶</a></dt>
<dd><p>Read the specific no. of rows from the S3 file.</p>
<p>This utility makes sure that the file is not downloaded on the application server. This method
calls the actual implementation based on the file extension. It is based on the
principle of least knowledge. This allows to avoid tight coupling between clients and subsystems.</p>
<dl class="field-list simple">
<dt class="field-odd">Author</dt>
<dd class="field-odd"><p>Varun Singhal</p>
</dd>
<dt class="field-even">Parameters</dt>
<dd class="field-even"><ul class="simple">
<li><p><strong>filename</strong> (<em>str</em>) – filename with extension</p></li>
<li><p><strong>rows</strong> (<em>int</em>) – no. of rows to read.</p></li>
</ul>
</dd>
<dt class="field-odd">Returns</dt>
<dd class="field-odd"><p>comma separated list items where each item is the content of the row.</p>
</dd>
<dt class="field-even">Return type</dt>
<dd class="field-even"><p>list</p>
</dd>
</dl>
</dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.get_keys">
<code class="sig-name descname">get_keys</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">folder_prefix</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#vendor.s3.S3.get_keys" title="Permalink to this definition">¶</a></dt>
<dd><p>This utility will return list of all the keys present in the specified bucket and prefix.</p>
</dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.explorer">
<code class="sig-name descname">explorer</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">prefix</em>, <em class="sig-param">no_of_files</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#vendor.s3.S3.explorer" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.read_excel">
<code class="sig-name descname">read_excel</code><span class="sig-paren">(</span><em class="sig-param">bucketname</em>, <em class="sig-param">filename</em>, <em class="sig-param">count</em><span class="sig-paren">)</span> &#x2192; list<a class="headerlink" href="#vendor.s3.S3.read_excel" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.read_flat_files">
<code class="sig-name descname">read_flat_files</code><span class="sig-paren">(</span><em class="sig-param">bucketname</em>, <em class="sig-param">filename</em>, <em class="sig-param">rows</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.read_flat_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.put_object">
<code class="sig-name descname">put_object</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">key</em>, <em class="sig-param">resultout</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.put_object" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.get_objects">
<code class="sig-name descname">get_objects</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">prefix</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.get_objects" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.get_buckets">
<code class="sig-name descname">get_buckets</code><span class="sig-paren">(</span><em class="sig-param">bucket</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.get_buckets" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.last_modified_time">
<code class="sig-name descname">last_modified_time</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">prefix</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.last_modified_time" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.s3_file_upload">
<code class="sig-name descname">s3_file_upload</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">location</em>, <em class="sig-param">file_obj</em>, <em class="sig-param">override</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.s3_file_upload" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.get_zip_files">
<code class="sig-name descname">get_zip_files</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">filename</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.get_zip_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.read_zip">
<code class="sig-name descname">read_zip</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">folder_prefix</em>, <em class="sig-param">file_name</em>, <em class="sig-param">act_filename</em>, <em class="sig-param">count_rows</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.read_zip" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="vendor.s3.S3.read_fwf">
<code class="sig-name descname">read_fwf</code><span class="sig-paren">(</span><em class="sig-param">bucket</em>, <em class="sig-param">folder_prefix</em>, <em class="sig-param">delimiter</em>, <em class="sig-param">column_names</em>, <em class="sig-param">file_name</em>, <em class="sig-param">count</em><span class="sig-paren">)</span><a class="headerlink" href="#vendor.s3.S3.read_fwf" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/vendor.s3.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3 id="searchlabel">Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" />
      <input type="submit" value="Go" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">DataMAx 0.1 documentation</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2019, AxtriaOne.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 2.3.1.
    </div>
  </body>
</html>